#!/bin/sh

prefix=/usr/local

echo
echo Newega installer. See README.txt for more informations
echo
echo -n Where do you want to install newega \[default = $prefix\] ?
read answer

if [ ! -z "$answer" ]; then
    prefix="$answer"
fi

if [ ! -e "$prefix/share/newega" ]; then    
     mkdir -p "$prefix/share/newega"
fi

if [ -e "$prefix/share/newega" ]; then 
    base=$(dirname $0)
    script="$prefix/bin/newega"
    if  cd $base &&
	cp -fr newega.bin lib templates webroot default_filter.txt "$prefix/share/newega" && 
	chmod +x "$prefix/share/newega/newega.bin" && 
	sed -e "s,^base=.*,base=\"$prefix/share/newega\"," newega > $script && 
	chmod +x $script; then

	echo Installation success
	exit 0;
    fi
fi

echo Install failed 
exit 1
